Package Gnumed :: Package pycommon :: Module gmGuiBroker :: Class GuiBroker |
[frames] | no frames]

# Class GuiBroker

source code

Wrapper for global objects needed by GNUMmed GUI clients

Instance Methods
__init__(self) | source code
addobject(self, widget, key=None) Add an object to the gnumed gui object dictionary | source code
getobject(self, key) allows to retrieve a gnumed gui element; see addobject() regarding the key parameter | source code
has_key(self, key) | source code
keylist(self) returns a list of all keys; see documentation for the dictionary data type | source code
valuelist(self) returns a list of all values; see documentation for the dictionary data type | source code
itemlist(self) returns a list of all key:value pairs; see documentation for the dictionary data type | source code
__getitem__(self, key) Allows retrieving the value via value = instance[key] | source code
__setitem__(self, key, object) Allows access in the style of instance[key]=value | source code